Event findings
Upload Finding Attachment
Allows machine users to upload attachments for findings.
Authorization
http AuthorizationBasic <token>
Go to https://portal.ethiack.com/settings/api and generate your API keys. Simply use username=key, password=secret.
In: header
Request Body
multipart/form-data
TypeScript Definitions
Use the request body type in TypeScript.
attachment?string
The file to be uploaded as an attachment
Response Body
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://api.ethiack.com/v1/events/{event_slug}/findings/attachments" \ -F attachment="string"{
"attachment_id": "string"
}{
"code": 0,
"name": null,
"description": "string",
"success": false
}{
"code": 0,
"name": null,
"description": "string",
"success": false
}{
"code": 0,
"name": null,
"description": "string",
"success": false
}{
"code": 0,
"name": null,
"description": "string",
"success": false
}Submit Event Finding POST
Allows hackers to submit findings. If successful, returns the ID of the created finding.
Get Event Recon GET
Fetches detailed information about a specific recon associated with an event, identified by the event's slug and the recon's unique identifier. > **Note:** This operation can only be performed by integrators.